Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mapping.data
Class Server

    java.lang.Object
      mapping.data.Server

All Implemented Interfaces:
  java.io.Serializable

    public class Server

extends java.lang.Object
implements java.io.Serializable

A server objects resembles a node in the desktop grid.

Author:
  Majd Kokaly
See Also:
  Serialized Form

Constructor Summary
`Server(java.lang.String hostName)`
`Server(java.lang.String hostName, java.lang.String password)`

Method Summary
`void` | `addProcessingRate(double realRate, double assumedRate, int jobClassID)`
`void` | `addProcessingRate(ProcessingRatesPair pair, int jobClassID)`
`void` | `decrementActiveJobsNumber()` This method decrements the number of active jobs by one.
`double` | `getAssumedRate(int jobClassID)`
`double` | `getAvailability()`
`FailureTrace` | `getFailureTrace()`
`java.lang.String` | `getHostName()`
`int` | `getIndex()`
`MessageToServer` | `getLastMessageSent()`
`double` | `getMinutesToFinishTestingIteration()`
`int` | `getNumberOfActiveJobs()`
`java.lang.String` | `getPassword()`
`double` | `getPreviousAvailability()`
`ProcessingRatesPair` | `getProcessingRate(int jobClassID)`
`java.util.Hashtable<java.lang.Integer,ProcessingRatesPair>` | `getProcessingRates()`
`double` | `getRealRate(int jobClassID)`
`double` | `getTestingIteration()`
`double` | `getTimeToBeTaskFree()`
`void` | `incrementActiveJobsNumber()` This method increments the number of active jobs by one.
`void` | `setAvailabilty(double availabilty)`
`void` | `setFailureTrace(FailureTrace failureTrace)`
`void` | `setHostName(java.lang.String hostName)`
`void` | `setIndex(int index)`
`void` | `setLastMessageSent(MessageToServer lastMessageSent)`
`void` | `setMinutesToFinishTestingIteration(double minutesToFinishTestingIteration)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPreviousAvailability(double previousAvailability)`
`void` | `setProcessingRates(java.util.Hashtable<java.lang.Integer,ProcessingRatesPair> processingRate)`
`void` | `setTestingIteration(double testingIteration)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Server

    public Server(java.lang.String hostName)

### Server

    public Server(java.lang.String hostName,
                  java.lang.String password)

Method Detail

### getTimeToBeTaskFree

    public double getTimeToBeTaskFree()

### getHostName

    public java.lang.String getHostName()

### setHostName

    public void setHostName(java.lang.String hostName)

### getNumberOfActiveJobs

    public int getNumberOfActiveJobs()

### getIndex

    public int getIndex()

### setIndex

    public void setIndex(int index)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### setAvailabilty

    public void setAvailabilty(double availabilty)

### getAvailability

    public double getAvailability()

### getPreviousAvailability

    public double getPreviousAvailability()

### setPreviousAvailability

    public void setPreviousAvailability(double previousAvailability)

### getMinutesToFinishTestingIteration

    public double getMinutesToFinishTestingIteration()

### setMinutesToFinishTestingIteration

    public void setMinutesToFinishTestingIteration(double minutesToFinishTestingIteration)

### getTestingIteration

    public double getTestingIteration()

### setTestingIteration

    public void setTestingIteration(double testingIteration)

### getFailureTrace

    public FailureTrace getFailureTrace()

### setFailureTrace

    public void setFailureTrace(FailureTrace failureTrace)

### getLastMessageSent

    public MessageToServer getLastMessageSent()

### setLastMessageSent

    public void setLastMessageSent(MessageToServer lastMessageSent)

### getProcessingRates

    public java.util.Hashtable<java.lang.Integer,ProcessingRatesPair> getProcessingRates()

### setProcessingRates

    public void setProcessingRates(java.util.Hashtable<java.lang.Integer,ProcessingRatesPair> processingRate)

### addProcessingRate

    public void addProcessingRate(ProcessingRatesPair pair,
                                  int jobClassID)

  Parameters:
    `pair` - Is the processing rate pair for this Server.
    `jobClassID` - Is the jobClassID for which the processing rates are.

### addProcessingRate

    public void addProcessingRate(double realRate,
                                  double assumedRate,
                                  int jobClassID)

  Parameters:
    `realRate` - Is the actual processing rate for this Server to execute a job from job class with ID jobClassID.
    `assumedRate` - Is the assumed processing rate for this Server to execute a job from job class with ID jobClassID.
    `jobClassID` - Is the ID of the job class for which the pair of processing rate is.

### getProcessingRate

    public ProcessingRatesPair getProcessingRate(int jobClassID)

  Parameters:
    `jobClassID` - is the job class in subject.
  Returns:
    The processing rates pair for that job class.

### getAssumedRate

    public double getAssumedRate(int jobClassID)

  Parameters:
    `jobClassID` - is the job class in subject.
  Returns:
    The assumed for that job class.

### getRealRate

    public double getRealRate(int jobClassID)

  Parameters:
    `jobClassID` - is the job class in subject.
  Returns:
    The actual processing rate for that job class.

### incrementActiveJobsNumber

    public void incrementActiveJobsNumber()

  This method increments the number of active jobs by one. This method is thread safe.

### decrementActiveJobsNumber

    public void decrementActiveJobsNumber()

  This method decrements the number of active jobs by one. This method is thread safe.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD